Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::CDynamicMeshBuffer Class Reference

`#include <CDynamicMeshBuffer.h>`

Inheritance diagram for irr::scene::CDynamicMeshBuffer:

List of all members.

## Public Member Functions

| CDynamicMeshBuffer (video::E_VERTEX_TYPE vertexType, video::E_INDEX_TYPE indexType)
| constructor
virtual const core::aabbox3d < f32 > & | getBoundingBox () const
| Get bounding box.
virtual IIndexBuffer & | getIndexBuffer () const
virtual video::SMaterial & | getMaterial ()
| Get Material of this buffer.
virtual const video::SMaterial & | getMaterial () const
| Get Material of this buffer.
virtual IVertexBuffer & | getVertexBuffer () const
virtual void | recalculateBoundingBox ()
| Recalculate bounding box.
virtual void | setBoundingBox (const core::aabbox3df &box)
| Set bounding box.
virtual void | setIndexBuffer (IIndexBuffer *newIndexBuffer)
virtual void | setVertexBuffer (IVertexBuffer *newVertexBuffer)
virtual | ~CDynamicMeshBuffer ()
| destructor

## Public Attributes

core::aabbox3d< f32 > | BoundingBox
video::SMaterial | Material

## Detailed Description

Definition at line 14 of file CDynamicMeshBuffer.h.

## Constructor & Destructor Documentation

irr::scene::CDynamicMeshBuffer::CDynamicMeshBuffer | ( | video::E_VERTEX_TYPE | vertexType,
|  | video::E_INDEX_TYPE | indexType |
| ) |  |  | `[inline]`

constructor

Definition at line 15 of file CDynamicMeshBuffer.h.

virtual irr::scene::CDynamicMeshBuffer::~CDynamicMeshBuffer | ( |  | ) | `[inline, virtual]`

destructor

Definition at line 22 of file CDynamicMeshBuffer.h.

## Member Function Documentation

virtual const core::aabbox3d<f32>& irr::scene::CDynamicMeshBuffer::getBoundingBox | ( |  | ) | const`[inline, virtual]`

Get bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 73 of file CDynamicMeshBuffer.h.

virtual IIndexBuffer& irr::scene::CDynamicMeshBuffer::getIndexBuffer | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 35 of file CDynamicMeshBuffer.h.

virtual video::SMaterial& irr::scene::CDynamicMeshBuffer::getMaterial | ( |  | ) | `[inline, virtual]`

Get Material of this buffer.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 67 of file CDynamicMeshBuffer.h.

virtual const video::SMaterial& irr::scene::CDynamicMeshBuffer::getMaterial | ( |  | ) | const`[inline, virtual]`

Get Material of this buffer.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 61 of file CDynamicMeshBuffer.h.

virtual IVertexBuffer& irr::scene::CDynamicMeshBuffer::getVertexBuffer | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 30 of file CDynamicMeshBuffer.h.

References irr::IReferenceCounted::drop().

virtual void irr::scene::CDynamicMeshBuffer::recalculateBoundingBox | ( |  | ) | `[inline, virtual]`

Recalculate bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 85 of file CDynamicMeshBuffer.h.

virtual void irr::scene::CDynamicMeshBuffer::setBoundingBox | ( | const core::aabbox3df & | box | ) | `[inline, virtual]`

Set bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 79 of file CDynamicMeshBuffer.h.

virtual void irr::scene::CDynamicMeshBuffer::setIndexBuffer | ( | IIndexBuffer * | newIndexBuffer | ) | `[inline, virtual]`

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 50 of file CDynamicMeshBuffer.h.

virtual void irr::scene::CDynamicMeshBuffer::setVertexBuffer | ( | IVertexBuffer * | newVertexBuffer | ) | `[inline, virtual]`

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 40 of file CDynamicMeshBuffer.h.

## Member Data Documentation

core::aabbox3d<f32> irr::scene::CDynamicMeshBuffer::BoundingBox

Definition at line 98 of file CDynamicMeshBuffer.h.

video::SMaterial irr::scene::CDynamicMeshBuffer::Material

Definition at line 97 of file CDynamicMeshBuffer.h.

The documentation for this class was generated from the following file:

- CDynamicMeshBuffer.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:09 2010 by Doxygen (1.6.2)